package com.huijy.management.service;

import java.util.List;
import java.util.Map;

import com.huijy.management.domain.Content;

/**
 * 内容管理Service接口
 *
 * @author luobo
 * @date 2021-09-12
 */
public interface IContentService
{
    /**
     * 查询内容管理
     *
     * @param contentId 内容管理主键
     * @return 内容管理
     */
    public Content selectContentByContentId(Long contentId);

    /**
     * 查询内容管理列表
     *
     * @param content 内容管理
     * @return 内容管理集合
     */
    public List<Content> selectContentList(Content content);

    /**
     * 新增内容管理
     *
     * @param content 内容管理
     * @return 结果
     */
    public int insertContent(Content content);

    /**
     * 修改内容管理
     *
     * @param content 内容管理
     * @return 结果
     */
    public int updateContent(Content content);

    /**
     * 批量删除内容管理
     *
     * @param contentIds 需要删除的内容管理主键集合
     * @return 结果
     */
    public int deleteContentByContentIds(Long[] contentIds);

    /**
     * 删除内容管理信息
     *
     * @param contentId 内容管理主键
     * @return 结果
     */
    public int deleteContentByContentId(Long contentId);

    Integer updateAudit(Long contentId,String auditFlag,String auditMsg,Long adminId);

    Integer updateRelease(Long contentId,String releaseFlag,Long adminId);

    public List<Map<String, Object>> home();
}
